
#ifndef _SoundObj_None_H_
#define _SoundObj_None_H_

#include "SoundObject.h"

/////////////////////////////////////////////////////////////////////////////////////////
//

class CSoundObj_None : public ISoundObject
{
public:
	void	Destroy()								{}

	int		Play( bool bLoop )						{ return 0; }
	void	Play( DWORD dwIndex, bool bLoop )		{}
	void	Stop( unsigned )						{}
	void	StopAll()								{}
	void	Reset( unsigned )						{}
	void	ResetAll()								{}
	HANDLE	GetEventNotify()						{ return 0; }
	void	HandleNotification()					{}
	bool	IsAllPlaying()							{ return false; }
	bool	IsAllFree()								{ return true; }
	bool	IsPlaying( unsigned )					{ return false; }

	DWORD	GetMemoryUse()							{ return 0; }
	bool	IsSameFile( const char * )				{ return false; }
	const char *	GetFilename()					{ return 0; }

	eSndObjType		GetType()						{ return SNDOBJTYPE_SOUNDOBJNONE; }

	void	SetPosition( DWORD dwIndex, D3DVALUE x, D3DVALUE y, D3DVALUE z )			{}
	void	SetDistance( DWORD dwIndex, D3DVALUE minDistance, D3DVALUE maxDistance )	{}
};

/////////////////////////////////////////////////////////////////////////////////////////

#endif